#!/sbin/busybox sh

sleep 25
 
#hotplug parameters
echo 30 > /sys/module/pm_hotplug/parameters/loadl
echo 60 > /sys/module/pm_hotplug/parameters/loadh
echo 90 > /sys/module/pm_hotplug/parameters/loadl_scroff
echo 100 > /sys/module/pm_hotplug/parameters/loadh_scroff
echo 400 > /sys/module/pm_hotplug/parameters/rate
echo 400 > /sys/module/pm_hotplug/parameters/rate_cpuon
echo 1000 > /sys/module/pm_hotplug/parameters/rate_scroff
echo 262144 > /sys/module/pm_hotplug/parameters/freq_cpu1on
 
FREQ_MIN="100000"
FREQ_MAX="1000000"

# Tension appliquée à chaque fréquence CPU en mV (8 pas sur Siyah, 7 pas sur Ninphetamine)
# Valeur mini 800, maxi 1500, par pas de 25
# Valeurs par défaut "1425 1325 1275 1175 1075 975 950 950"
FREQ_V="1425 1325 1275 1150 1050 950 900 875"

# Les paramètres qui suivent ne sont applicables qu'au kernel Siyah
# On peut laisser les valeurs telles quelles si on utilise un autre kernel

# Fréquences CPU custom en MHz
# Mini 25, maxi 1696
# Le mini par pas doit être supérieur à la valeur par défaut du pas suivant
# Exemple : Valeur par défaut du 2ème pas = 1400. Valeur mini du 1er pas = 1401
# Valeurs par défaut "1600 1400 1200 1000 800 500 200 100 "
FREQ_F="1590 1400 1200 1000 800 500 200 100"

# I/O Scheduler
#SCHEDULER="sio"

# Governor
GOVERNOR="conservative"

# Fréquences Bus custom en MHz par fréquence CPU en mode statique
# Valeurs possibles 0 (400MHz), 1 (266MHz), 2 (133MHz)
# Valeurs par défaut "0 0 0 0 1 1 2 2"
BUS_F="0 0 0 0 1 2 2 2"

# Activation / Désactivation du mode Bus statique
# Valeurs possibles "enabled" (activé), "disabled" (désactivé)
# Valeur par défaut "disabled"
BUS_ST="enabled"

#####################################
# Ne rien modifier sous cette ligne #
#####################################

echo $FREQ_MIN > /sys/devices/system/cpu/cpu0/cpufreq/scaling_min_freq
echo $FREQ_MAX > /sys/devices/system/cpu/cpu0/cpufreq/scaling_max_freq 

if [[ -e /sys/devices/system/cpu/cpu0/cpufreq/UV_mV_table ]]; then
	echo $FREQ_V > /sys/devices/system/cpu/cpu0/cpufreq/UV_mV_table
fi

if [[ -e /sys/devices/system/cpu/cpu0/cpufreq/freq_table ]]; then
	echo $FREQ_F > /sys/devices/system/cpu/cpu0/cpufreq/freq_table
fi

#chmod 666 /sys/block/mmcblk0/queue/scheduler
#echo $SCHEDULER > /sys/block/mmcblk0/queue/scheduler

#for i in `ls /sys/block/stl*` /sys/block/bml* /sys/block/mmcblk* ; do
#        echo $SCHEDULER > $i/queue/scheduler;
#        echo "$i/queue/scheduler";
#done;

chmod 666 /sys/devices/system/cpu/cpu0/cpufreq/scaling_governor
echo $GOVERNOR > /sys/devices/system/cpu/cpu0/cpufreq/scaling_governor

if [[ -e /sys/devices/system/cpu/cpu0/cpufreq/busfreq_static ]]; then
	echo $BUS_ST > /sys/devices/system/cpu/cpu0/cpufreq/busfreq_static
	echo $BUS_F > /sys/devices/system/cpu/cpu0/cpufreq/busfreq_static
fi
